Subject: bug#40123: glibc-locales: links missing in root user profile

From: Marius Bakke <[email-masked]>
Date: Wed, 18 Mar 2020 19:40:05 +0100

Mikael Djurfeldt <[email-masked]> writes:

> To figure out where the package gets installed, try running this
>> command:
>>
>> find /var/guix/profiles -name sv_SE.utf8 -type d
>>
>
> It's obvious that that line will produce an empty result. That is because
> the sv_SE.utf8 directory only exists in the store. But I don't see the
> point of looking it up in the store. The problem is that the link into the
> store from the root user profile is never created. (It *is* created in
> other user profiles.)

I suspected that Guix installed it to a different user profile somehow,
since you did not get any errors apart from the missing directory (if I
read the bug report correctly).

Does 'guix install hello' work?